<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.user.home.group.append.AppendDeviceActivity">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginTop="0dp"
        android:background="@color/white"
        android:elevation="2dp">

        <TextView
            android:id="@+id/toolbar_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/add_device"
            android:textColor="@color/dark"
            android:textSize="16sp" />

    </androidx.appcompat.widget.Toolbar>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:elevation="2dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <com.google.android.material.card.MaterialCardView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginVertical="12dp"
            android:layout_marginStart="16dp"
            android:layout_weight="0.9"
            android:background="@color/baseColor"
            app:cardCornerRadius="10dp"
            app:cardElevation="1dp">

            <EditText
                android:id="@+id/et_search"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:autofillHints="@string/search_device"
                android:background="@color/grey_light"
                android:drawableStart="@drawable/ic_search"
                android:drawablePadding="10dp"
                android:hint="@string/search_device"
                android:inputType="text"
                android:maxLines="1"
                android:paddingHorizontal="8dp"
                android:paddingVertical="12dp"
                android:textSize="14sp" />
        </com.google.android.material.card.MaterialCardView>

        <ImageButton
            android:id="@+id/btn_filter"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:layout_marginHorizontal="2dp"
            android:background="?attr/selectableItemBackgroundBorderless"
            android:backgroundTint="@android:color/transparent"
            android:clickable="true"
            android:contentDescription="@string/image_description"
            android:focusable="true"
            android:src="@drawable/ic_filter" />

    </LinearLayout>

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="12dp"
        android:layout_marginTop="12dp"
        android:text="@string/device_list"
        android:textColor="@color/dark"
        android:textSize="14sp" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_device"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginVertical="6dp"
        tools:listitem="@layout/item_device_group" />

    <LinearLayout
        android:id="@+id/layout_error"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone">

        <com.airbnb.lottie.LottieAnimationView
            android:layout_width="220dp"
            android:layout_height="220dp"
            android:layout_gravity="center"
            android:layout_marginTop="-32dp"
            app:lottie_autoPlay="true"
            app:lottie_fileName="error-animation.json"
            app:lottie_loop="true" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="-12dp"
            android:text="@string/timeout"
            android:textColor="@color/dark"
            android:textSize="16sp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/server_error"
            android:textColor="@color/dark"
            android:textSize="14sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_empty"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:visibility="gone"
        android:orientation="vertical">

        <com.airbnb.lottie.LottieAnimationView
            android:layout_width="150dp"
            android:layout_height="150dp"
            android:layout_gravity="center"
            android:layout_marginTop="-16dp"
            app:lottie_autoPlay="true"
            app:lottie_fileName="empty-box.json"
            app:lottie_loop="true" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:text="@string/empty_device"
            android:textSize="14sp" />
    </LinearLayout>

    <include
        android:id="@+id/shimmer_loading"
        layout="@layout/shimmer_list_general" />
</LinearLayout>